@import url('css/open-iconic/font/css/open-iconic-bootstrap.min.css');

@font-face {
    font-family: 'Proxima Vara';
    font-weight: 100 900;
    font-stretch: 50% 100%;
    src: url("/css/fonts/proxima-vara/proxima_vara-webfont.woff2") format("woff2 supports variations"), url("/css/fonts/proxima-vara/proxima_vara-webfont.woff2") format("woff2-variations");
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url(./fonts/open-sans/OpenSans-Light.ttf) format('truetype');
    font-display: swap;
}


html, body, span, div {
    font-family: 'Proxima Vara' !important;
}

.ant-typography {
    color: rgb(45, 45, 45, 0.85) !important;
}

.ant-collapse-content {
    color: rgb(45, 45, 45, 0.85) !important;
}


h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
    width: 40px;
    margin: 10px 20px 10px 20px;
    border-width: 3px;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


.nav-link {
    padding-left: 5rem;
    padding-right: 4rem;
}

.pages-title {
    /* Layout Properties */
    font-size: 20px;
    /* UI Properties */
    text-align: left;
    font: normal normal 28px 'Proxima Vara';
    opacity: 1;
}

.main-content {
    padding: 3rem 7rem;
}

.pages-info {
    margin-top: 5px;
    font-size: 14px;
}

#divControls {
    height: 50px;
    margin: 1rem 0rem;
}

.culture-select {
    float: right;
    width: 181px;
    height: 40px;
    /* UI Properties */
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 10px #00000029;
    border: 1px solid #C7C9CE;
    border-radius: 6px;
    opacity: 1;
    text-align: left;
    font: normal normal medium 15px/18px Proxima Nova;
    letter-spacing: 0px;
    color: #4B9FD5;
}


.page-table {
    justify-content: stretch;
    margin-bottom: 16px;
}

.field-table {
    width: 100%;
    justify-content: stretch;
}

.page-table-column {
    float: left;
}

.preview-column {
    font-family: Open Sans,Arial,Helvetica,sans-serif;
    color: #111;
    margin: 0;
    padding: 0;
    float: left;
    right: 36px;
    position: fixed;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.publish-div {
    top: 0px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

.publish-button {
    background: #7AA5C4 0% 0% no-repeat padding-box;
    color: #FFF;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: 6px;
    padding: 12px;
    opacity: 1;
    text-align: center;
    font: normal normal bold 19px/23px Proxima Nova;
    cursor: pointer;
}

.publish-button-disabled {
    background: #ccc 0% 0% no-repeat padding-box;
    color: #FFF;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: 6px;
    padding: 12px;
    opacity: 1;
    text-align: center;
    font: normal normal bold 19px/23px Proxima Nova;
    cursor: not-allowed;
    pointer-events: none;
}

.pageTable {
    justify-content: space-between;
    /* UI Properties */
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: 4px;
    opacity: 1;
    overflow-y: scroll;
    white-space: nowrap;
}

.page-head-main {
    color: #F8C816;
    padding-left: 10px;
    padding-top: 35px;
    position: absolute;
}

.page-head-secondary {
    font-size: 14px;
    color: darkgray;
    font-weight: 100;
}

.page-header {
    height: 94px;
    /* UI Properties */
    background: #4970AD 0% 0% no-repeat padding-box;
    border-radius: 4px 4px 0px 0px;
    opacity: 1;
}

.fieldTable {
    justify-content: stretch;
}

.name-column {
    padding-left: 10px;
    margin-bottom: 10px !important;
    white-space: nowrap;
    overflow: hidden;
}

.contents-column {
    padding-left: 10px;
}

.field-contents-text {
    width: 100%;
    resize: vertical;
    word-wrap: break-word;
    max-height: 250px;
}

.ant-switch-checked {
    background: #6CBF8C !important;
}

.ant-switch {
    -webkit-box-shadow: 3px 3px 6px 0px rgba(0,0,0,0.16);
    box-shadow: 3px 3px 6px 0px rgba(0,0,0,0.16);
}

.ant-collapse-header {
    background-color: #7996AD !important;
    border-radius: 4px 4px 0px 0px !important;
    color: white !important;
    font-weight: bold;
    display: flex;
    align-items: center;
}

.ant-collapse {
    box-shadow: 0px 3px 6px #00000029;
}

.ant-collapse-item {
    border-radius: 4px !important;
}

.ant-spin-blur {
    opacity: 0 !important;
}

.ant-spin {
    max-height: 100vh !important;
    height: 100vh !important;
}

.jodit-wysiwyg {
    border-radius: 4px !important;
    overflow-wrap: anywhere;
}

.rich-text-viewer {
    border: 1px solid #d9d9d9;
    padding: 8px;
    border-radius: 4px !important;
    min-height: 140px;
    width: 100%;
    overflow: auto;
    overflow-wrap: anywhere;
}

.html-viewer-readonly {
    border: 1px solid #d9d9d9;
    padding: 8px;
    background-color: #f5f5f5;
    border-radius: 4px !important;
    min-height: 140px;
    width: 100%;
    overflow: auto;
    overflow-wrap: anywhere;
}

.jodit-container {
    border-radius: 4px !important;
}

.jodit-ui-group__ul > .jodit-toolbar-button__trigger {
    display: none;
}

.jodit-ui-group__ol > .jodit-toolbar-button__trigger {
    display: none;
}

.jodit-add-new-line {
    display: none !important;
}

.ant-collapse-header-text {
    width: 100%;
    display: flex;
}

.ant-btn-primary:not(.ant-btn-dangerous) {
    background-color: #7AA5C4 !important;
    border-color: #7AA5C4 !important;
    border-radius: 6px;
}

.ant-btn-default:not(.ant-btn-dangerous) {
    border-radius: 6px;
}

.ant-input {
    border-radius: 6px !important;
}

.toggle-switch {
    width: 62px;
}
